net.corda.core.node.services

## Class ServiceType.Companion

- net.corda.core.node.services.ServiceType.Companion

- Enclosing class:
    ServiceType

      public static class ServiceType.Companion

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServiceType` | `getCorda()`
    `ServiceType` | `getNotary()`
    `ServiceType` | `getRegulator()`
    `ServiceType` | `getServiceType(java.lang.String namespace, java.lang.String typeId)`
    `ServiceType` | `parse(java.lang.String id)`

- - ### Method Detail

    - #### getCorda

          public ServiceType getCorda()

    - #### getNotary

          public ServiceType getNotary()

    - #### getRegulator

          public ServiceType getRegulator()

    - #### getServiceType

          public ServiceType getServiceType(java.lang.String namespace,
                                            java.lang.String typeId)

    - #### parse

          public ServiceType parse(java.lang.String id)